API server
https://app.coolify.io/api/v1Update Sentinel settings for a server owned by the authenticated team. Changing token/metrics timing fields may restart Sentinel.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Server UUID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
is_sentinel_enabled?boolean
is_metrics_enabled?boolean
is_sentinel_debug_enabled?boolean
sentinel_token?string
sentinel_metrics_refresh_rate_seconds?integer
Range
1 <= valuesentinel_metrics_history_days?integer
Range
1 <= valuesentinel_push_interval_seconds?integer
Range
10 <= valuesentinel_custom_url?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.coolify.io/api/v1/servers/string/sentinel" \ -H "Content-Type: application/json" \ -d '{}'Empty
{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}